<template>
  <div id="containers-frame">
    <el-tabs
      v-model="activeName"
      @tab-click="handleClick"
      class="containers-el-tabs"
    >
      <el-tab-pane
        v-for="(tab, id) in tabs"
        :key="id"
        :label="tab.lable"
        :name="tab.name"
        class="containers-el-tab-pane"
      >
        <div v-if="checkComponentExist(tab.component)" :is="tab.component"></div>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
export default {
  components: {
    ContainersList: () => import("./Containers/ContainersList.vue"),
  },
  data() {
    return {
      tabs: [
        {
          name: 'first',
          lable: 'Containers List',
          component: 'ContainersList',
        },
        {
          name: 'second',
          lable: 'Containers Listss',
          component: '',
        }
      ],
      activeName: 'first'
    };
  },
  methods: {
    handleClick(tab, event) {
      // console.log(tab, event);
    },
    checkComponentExist(component) {
      return this.$options.components[component] instanceof Function;
    }
  },
  mounted() {
  }
}
</script>

<style>
#containers-frame {
  height: 100%;
  width: 100%;
  padding: 0 10px;
  background-color: #fff;
}
#containers-frame .containers-el-tabs{
  height: 100%;
  width: calc(100% - 20px);
}
#containers-frame .el-tabs__header {
  margin: 0;
}
#containers-frame .el-tabs__content {
  height: calc(100% - 40px);
}
#containers-frame .containers-el-tab-pane {
  height: 100%;
}
</style>
